/legacy/offsite-ads/budgets/{budgetId}

Return a budget. For example,

{
    "id": "1759183",
    "sellerId": "321392",
    "campaignIds": [
        143962
    ],
    "budgetType": "Capped",
    "amount": 1000,
    "startDate": "2021-01-11",
    "endDate": "2021-01-12",
    "spend": null,
    "status": "Active"
}
        

A budget limits the spend of a seller for one or more campaigns.

There are three types of budget:
Uncapped budgets put no limit on the total amount of spend.
Capped budgets limit the total spend to a fixed amount.
Daily budgets limit daily spend to a fixed amount.

In addition, budgets can limit the spend to a specific range of dates using the start and end date attributes. Finally a budget must be active to be used.

Spend approximates the current spend against this budget. There may be a lag between when an ad is clicked and the time it accrues to the spend. Daily budgets show spend against the most recent day only.

Path Params
int64
required

Id of the budget.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

429

Client Error

500

Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
text/plain
application/json
text/json